## ros-noetic-libphidget22 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(libphidget22)

find_package(catkin REQUIRED)

catkin_destinations() # set-up destination variables
file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION})

set(extra_c_flags "-g -O2 -Wno-incompatible-pointer-types -Wno-deprecated-declarations -Wno-format-truncation")

include(ExternalProject)
ExternalProject_Add(EP_${PROJECT_NAME}
    URL https://www.phidgets.com/downloads/phidget22/libraries/linux/libphidget22/libphidget22-1.7.20210816.tar.gz
    URL_MD5 6eadbf23feeac246b5b687883d5f8d28

    CONFIGURE_COMMAND "./configure"
    PATCH_COMMAND patch -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/patch/libphidgets22-1.7.20210816-fix-warnings.patch
    SOURCE_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src
    BUILD_IN_SOURCE 1
    BUILD_COMMAND make "CFLAGS=-g -O2 -Wno-incompatible-pointer-types -Wno-deprecated-declarations -Wno-format-truncation"
        # copy headers to devel space (catkin does not like headers in source space)
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/phidget22.h ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        # copy libs, set-up soname chain
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/.libs/libphidget22.so.0.0.0 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}
        COMMAND ${CMAKE_COMMAND} -E create_symlink libphidget22.so.0 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget22.so
        COMMAND ${CMAKE_COMMAND} -E create_symlink libphidget22.so.0.0.0 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget22.so.0
    INSTALL_COMMAND ""
)

catkin_package(
    CFG_EXTRAS libphidget22-extras.cmake # catkin_package does not support artifacts in devel space
    EXPORTED_TARGETS EP_${PROJECT_NAME}
)

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget22.so
              ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget22.so.0
              ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget22.so.0.0.0
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-noetic-libphidget22 (1.0.6-1buster) buster; urgency=high

  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * libphidget22: Use install FILES for libraries
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-libphidget22 (1.0.5-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-libphidget22 (1.0.4-1buster) buster; urgency=high

  * Update to libphidget22-1.7.20210816 (#106 <https://github.com/ros-drivers/phidgets_drivers/issues/106>)
    This is required to support new devices such as the MOT0109.
    Fixes #99 <https://github.com/ros-drivers/phidgets_drivers/issues/99>, fixes #105 <https://github.com/ros-drivers/phidgets_drivers/issues/105>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-libphidget22 (1.0.3-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-libphidget22 (1.0.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-libphidget22 (1.0.1-1buster) buster; urgency=high

  * Re-run bloom to fix the line endings in the patch file
    (#77 <https://github.com/ros-drivers/phidgets_drivers/issues/77>)
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-libphidget22 (1.0.0-1buster) buster; urgency=high

  * Update to libphidget22 from 2020.
  * Update maintainers in package.xml
  * Patch warnings in libphidget22.
  * Fix up libphidget22 package.xml dependencies.
  * Add in libphidget22 package.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

## ros-noetic-libphidget22 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,11 @@
 
 include(ExternalProject)
 ExternalProject_Add(EP_${PROJECT_NAME}
-    URL https://www.phidgets.com/downloads/phidget22/libraries/linux/libphidget22/libphidget22-1.7.20210816.tar.gz
-    URL_MD5 6eadbf23feeac246b5b687883d5f8d28
+    URL https://www.phidgets.com/downloads/phidget22/libraries/linux/libphidget22/libphidget22-1.13.20230224.tar.gz
+    URL_MD5 e34f6bf266562d1950a82067ab5beaa9
 
     CONFIGURE_COMMAND "./configure"
-    PATCH_COMMAND patch -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/patch/libphidgets22-1.7.20210816-fix-warnings.patch
+    PATCH_COMMAND patch -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/patch/libphidget22-1.13.20230224-fix-warnings.patch
     SOURCE_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src
     BUILD_IN_SOURCE 1
     BUILD_COMMAND make "CFLAGS=-g -O2 -Wno-incompatible-pointer-types -Wno-deprecated-declarations -Wno-format-truncation"

=== debian/changelog ===
ros-noetic-libphidget22 (1.0.7-1focal) focal; urgency=high

  * Update to libphidget22 1.13. (#161 <https://github.com/ros-drivers/phidgets_drivers/issues/161>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-noetic-libphidget22 (1.0.6-1focal) focal; urgency=high

  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * libphidget22: Use install FILES for libraries
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-libphidget22 (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-libphidget22 (1.0.4-1focal) focal; urgency=high

  * Update to libphidget22-1.7.20210816 (#106 <https://github.com/ros-drivers/phidgets_drivers/issues/106>)
    This is required to support new devices such as the MOT0109.
    Fixes #99 <https://github.com/ros-drivers/phidgets_drivers/issues/99>, fixes #105 <https://github.com/ros-drivers/phidgets_drivers/issues/105>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-libphidget22 (1.0.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-libphidget22 (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-libphidget22 (1.0.1-1focal) focal; urgency=high

  * Re-run bloom to fix the line endings in the patch file
    (#77 <https://github.com/ros-drivers/phidgets_drivers/issues/77>)
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-libphidget22 (1.0.0-1focal) focal; urgency=high

  * Update to libphidget22 from 2020.
  * Update maintainers in package.xml
  * Patch warnings in libphidget22.
  * Fix up libphidget22 package.xml dependencies.
  * Add in libphidget22 package.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-libphidget22
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-noetic-catkin
Homepage: http://ros.org/wiki/libphidget22
Standards-Version: 3.9.2

Package: ros-noetic-libphidget22
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0
Description: This package wraps the libphidget22 to use it as a ROS dependency

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-libphidget22//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-libphidget22 1.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,10 @@
 
 include(ExternalProject)
 ExternalProject_Add(EP_${PROJECT_NAME}
-    URL https://www.phidgets.com/downloads/phidget22/libraries/linux/libphidget22/libphidget22-1.13.20230224.tar.gz
-    URL_MD5 e34f6bf266562d1950a82067ab5beaa9
+    URL https://www.phidgets.com/downloads/phidget22/libraries/linux/libphidget22/libphidget22-1.19.20240304.tar.gz
+    URL_MD5 9b059eaef8cb8ce70b8abd7e4d309d1d
 
     CONFIGURE_COMMAND "./configure"
-    PATCH_COMMAND patch -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/patch/libphidget22-1.13.20230224-fix-warnings.patch
     SOURCE_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src
     BUILD_IN_SOURCE 1
     BUILD_COMMAND make "CFLAGS=-g -O2 -Wno-incompatible-pointer-types -Wno-deprecated-declarations -Wno-format-truncation"
